Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.metadata
Class MetadataFactory.InstallableUnitPatchDescription

    java.lang.Object
      org.eclipse.equinox.p2.metadata.MetadataFactory.InstallableUnitDescription
          org.eclipse.equinox.p2.metadata.MetadataFactory.InstallableUnitPatchDescription

Enclosing class:
  MetadataFactory

    public static class MetadataFactory.InstallableUnitPatchDescription

extends MetadataFactory.InstallableUnitDescription

A description containing information about an installable unit patch. Once created, installable units are immutable. This description class allows a client to build up the state for an installable unit patch incrementally, and then finally produce the resulting immutable unit.

Field Summary

Fields inherited from class org.eclipse.equinox.p2.metadata.MetadataFactory.InstallableUnitDescription
`PROP_TYPE_CATEGORY, PROP_TYPE_FRAGMENT, PROP_TYPE_GROUP, PROP_TYPE_PATCH`

Constructor Summary
`MetadataFactory.InstallableUnitPatchDescription()`

Method Summary
`void` `setApplicabilityScope(IRequirement[][] applyTo)` Set the applicability scope for the installable unit patch.
`void` `setLifeCycle(IRequirement lifeCycle)` Set the lifecycle change for the installable unit patch.
`void` `setRequirementChanges(IRequirementChange[] changes)` Set the requirement change for the installable unit patch.

Methods inherited from class org.eclipse.equinox.p2.metadata.MetadataFactory.InstallableUnitDescription

`addProvidedCapabilities, addRequiredCapabilities, addRequirements, addTouchpointData, getId, getMetaRequiredCapabilities, getMetaRequirements, getProvidedCapabilities, getRequiredCapabilities, getRequirements, getTouchpointData, getUpdateDescriptor, getVersion, setArtifacts, setCapabilities, setCopyright, setFilter, setFilter, setId, setLicenses, setMetaRequiredCapabilities, setMetaRequirements, setProperty, setRequiredCapabilities, setRequirements, setSingleton, setTouchpointType, setUpdateDescriptor, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataFactory.InstallableUnitPatchDescription

    public MetadataFactory.InstallableUnitPatchDescription()

Method Detail

### setApplicabilityScope

    public void setApplicabilityScope(IRequirement[][] applyTo)

  Set the applicability scope for the installable unit patch.

### setLifeCycle

    public void setLifeCycle(IRequirement lifeCycle)

  Set the lifecycle change for the installable unit patch.

### setRequirementChanges

    public void setRequirementChanges(IRequirementChange[] changes)

  Set the requirement change for the installable unit patch.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.